Subject: Re: [PATCH 03/14] odb: introduce `struct odb_for_each_object_options`

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 19 Mar 2026 15:59:19 +0100

On Thu, Mar 19, 2026 at 07:25:08AM -0700, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
> > While we could of course add the prefix to the function signature, or
> > alternative introduce a new function, both of these options don't really
> > seem to be that sensible.
> 
> "alternative" -> "alternatigvely"?

I prefer "alternatively" :) Will fix.

> > Instead, introduce a new `struct odb_for_each_object_options` that can
> > be passed to a new `odb_for_each_object_ext()` function. Splice through
> > the options structure into the respective object database sources.
> 
> A lot of churn, but we only need to suffer once and reap a lot of
> benefit later, I guess ;-).

Right, that's the idea. I also got the intent to eventually support
object filters in `odb_for_each_object_ext()`, which will be required
for example by git-cat-file(1). This would require splicing through
another parameter, but with this change here it will only require us to
add another new field to the options structure.

Patrick